### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-language-list/ecl-language-list-item.component.ts`

### Extends

`ECLBaseDirective`

### Metadata

selector | `ecl-language-list-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-language-list-item.component.html`

### Index

###### Properties
Public el
###### Methods
onItemClick getCssClasses
###### Inputs
isActive languageCode languageLabel class e2eAttr
###### Outputs
itemClick
###### HostBindings
class
###### HostListeners
click
###### Accessors
cssClasses

### Constructor

`constructor(el: ElementRef)`
Parameters :
Name | Type | Optional
el | `ElementRef` | No

### Inputs

isActive
Type : `boolean | any`

languageCode
Type : `string`

languageLabel
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

itemClick
Type : `EventEmitter`

### HostBindings

class
Type : `any`

### HostListeners

click
Arguments : `'$event'`
`click(evt: MouseEvent)`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`
Decorators : `@HostListener('click', ['$event'])`
Parameters :
Name | Type | Optional
evt | `MouseEvent` | No
Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`
Parameters :
Name | Type | Optional
rootClass | `string` | No
Returns : `string`

### Properties

Public el
Type : `ElementRef`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""